Koozali.org: home of the SME Server

fail2ban

Offline Nestore

  • 9
  • +0/-0
fail2ban
« on: August 01, 2022, 10:26:33 AM »
i would like to install fail2ban for the first time.

But I get version errors as yum tries to install "smeserver-fail2ban noarch version 9: 0.1.18-28.el7.sme smecontribs 64 k"

while on the mirrors there is version 18-30:

"smeserver-fail2ban-0.1.18-28.el7.sme.noarch.rpm: [Errno 14] HTTP Error 404 - Not Found"

How can I get around this?

Offline mmccarn

  • *
  • 2,588
  • +8/-0
Re: fail2ban
« Reply #1 on: August 01, 2022, 01:07:10 PM »
Works for me...


Code: [Select]
# yum --enablerepo=smecontribs install smeserver-fail2ban
Loaded plugins: fastestmirror, post-transaction-actions, priorities, smeserver
Loading mirror speeds from cached hostfile
 * base: mirrors.wcupa.edu
 * smeaddons: mirror.pialasse.com
 * smecontribs: mirror.pialasse.com
 * smeextras: mirror.pialasse.com
 * smeos: mirror.pialasse.com
 * smeupdates: mirror.pialasse.com
 * updates: www.gtlib.gatech.edu
Resolving Dependencies
--> Running transaction check
---> Package smeserver-fail2ban.noarch 9:0.1.18-30.el7.sme will be installed
--> Processing Dependency: perl-Data-Validate-IP for package: 9:smeserver-fail2ban-0.1.18-30.el7.sme.noarch
--> Processing Dependency: fail2ban-server for package: 9:smeserver-fail2ban-0.1.18-30.el7.sme.noarch
--> Processing Dependency: fail2ban-sendmail for package: 9:smeserver-fail2ban-0.1.18-30.el7.sme.noarch
--> Running transaction check
---> Package fail2ban-sendmail.noarch 0:0.11.2-3.el7 will be installed
---> Package fail2ban-server.noarch 0:0.11.2-3.el7 will be installed
--> Processing Dependency: systemd-python for package: fail2ban-server-0.11.2-3.el7.noarch
--> Processing Dependency: ipset for package: fail2ban-server-0.11.2-3.el7.noarch
---> Package perl-Data-Validate-IP.noarch 0:0.27-13.el7 will be installed
--> Running transaction check
---> Package ipset.x86_64 0:7.1-1.el7 will be installed
--> Processing Dependency: ipset-libs(x86-64) = 7.1-1.el7 for package: ipset-7.1-1.el7.x86_64
--> Processing Dependency: libipset.so.13(LIBIPSET_4.8)(64bit) for package: ipset-7.1-1.el7.x86_64
--> Processing Dependency: libipset.so.13(LIBIPSET_2.0)(64bit) for package: ipset-7.1-1.el7.x86_64
--> Processing Dependency: libipset.so.13()(64bit) for package: ipset-7.1-1.el7.x86_64
---> Package systemd-python.x86_64 0:219-78.el7_9.5 will be installed
--> Running transaction check
---> Package ipset-libs.x86_64 0:7.1-1.el7 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

====================================================================================================================================
 Package                               Arch                   Version                             Repository                   Size
====================================================================================================================================
Installing:
 smeserver-fail2ban                    noarch                 9:0.1.18-30.el7.sme                 smecontribs                  65 k
Installing for dependencies:
 fail2ban-sendmail                     noarch                 0.11.2-3.el7                        smecontribs                  19 k
 fail2ban-server                       noarch                 0.11.2-3.el7                        smecontribs                 464 k
 ipset                                 x86_64                 7.1-1.el7                           base                         39 k
 ipset-libs                            x86_64                 7.1-1.el7                           base                         64 k
 perl-Data-Validate-IP                 noarch                 0.27-13.el7                         smecontribs                  29 k
 systemd-python                        x86_64                 219-78.el7_9.5                      updates                     146 k

Transaction Summary
====================================================================================================================================
Install  1 Package (+6 Dependent packages)

Total download size: 825 k
Installed size: 2.2 M
Is this ok [y/d/N]: y
Downloading packages:
(1/7): fail2ban-sendmail-0.11.2-3.el7.noarch.rpm                                                             |  19 kB  00:00:03     
(2/7): smeserver-fail2ban-0.1.18-30.el7.sme.noarch.rpm                                                       |  65 kB  00:00:00     
(3/7): fail2ban-server-0.11.2-3.el7.noarch.rpm                                                               | 464 kB  00:00:04     
(4/7): ipset-7.1-1.el7.x86_64.rpm                                                                            |  39 kB  00:00:06     
(5/7): ipset-libs-7.1-1.el7.x86_64.rpm                                                                       |  64 kB  00:00:06     
(6/7): perl-Data-Validate-IP-0.27-13.el7.noarch.rpm                                                          |  29 kB  00:00:06     
(7/7): systemd-python-219-78.el7_9.5.x86_64.rpm                                                              | 146 kB  00:00:03     
------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                               106 kB/s | 825 kB  00:00:07     
Running transaction check
Running transaction test
Transaction test succeeded
Running transaction
  Installing : ipset-libs-7.1-1.el7.x86_64                                                                                      1/7
  Installing : ipset-7.1-1.el7.x86_64                                                                                           2/7
  Installing : systemd-python-219-78.el7_9.5.x86_64                                                                             3/7
  Installing : fail2ban-server-0.11.2-3.el7.noarch                                                                              4/7
  Installing : fail2ban-sendmail-0.11.2-3.el7.noarch                                                                            5/7
  Installing : perl-Data-Validate-IP-0.27-13.el7.noarch                                                                         6/7
  Installing : 9:smeserver-fail2ban-0.1.18-30.el7.sme.noarch                                                                    7/7
Initializing databases
Migrating existing database configuration
Migrating existing database accounts
Migrating existing database mailpatterns
Migrating existing database hosts
Migrating existing database domains
Migrating existing database spamassassin
Migrating existing database yum_available
Migrating existing database yum_installed
Migrating existing database yum_repositories
Migrating existing database yum_updates
Migrating existing database networks
Migrating existing database backups
Creating temporary event 'temp' and populating it...
 Adding actions to execute
 Adding templates to expand
 Adding services to adjust
Executing signal-event temp ...........
Reload yum db for server-manager
  Verifying  : ipset-7.1-1.el7.x86_64                                                                                           1/7
  Verifying  : perl-Data-Validate-IP-0.27-13.el7.noarch                                                                         2/7
  Verifying  : fail2ban-sendmail-0.11.2-3.el7.noarch                                                                            3/7
  Verifying  : systemd-python-219-78.el7_9.5.x86_64                                                                             4/7
  Verifying  : 9:smeserver-fail2ban-0.1.18-30.el7.sme.noarch                                                                    5/7
  Verifying  : fail2ban-server-0.11.2-3.el7.noarch                                                                              6/7
  Verifying  : ipset-libs-7.1-1.el7.x86_64                                                                                      7/7

Installed:
  smeserver-fail2ban.noarch 9:0.1.18-30.el7.sme                                                                                     

Dependency Installed:
  fail2ban-sendmail.noarch 0:0.11.2-3.el7    fail2ban-server.noarch 0:0.11.2-3.el7         ipset.x86_64 0:7.1-1.el7                 
  ipset-libs.x86_64 0:7.1-1.el7              perl-Data-Validate-IP.noarch 0:0.27-13.el7    systemd-python.x86_64 0:219-78.el7_9.5   

Complete!

Offline Stefano

  • *
  • 10,819
  • +1/-0
Re: fail2ban
« Reply #2 on: August 02, 2022, 08:49:47 AM »
i would like to install fail2ban for the first time.

But I get version errors as yum tries to install "smeserver-fail2ban noarch version 9: 0.1.18-28.el7.sme smecontribs 64 k"

while on the mirrors there is version 18-30:

"smeserver-fail2ban-0.1.18-28.el7.sme.noarch.rpm: [Errno 14] HTTP Error 404 - Not Found"

How can I get around this?

try

Code: [Select]
yum --enablerepo=smecontribs clean all

before trying installing